## qtermwidget 0.16.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
# CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
# CMakeLists.txt file even before calling the project() command.
# The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
# command to specify that the current project code is written for the given range of CMake
# versions.
project(qtermwidget)

include(GNUInstallDirs)
include(GenerateExportHeader)
include(CMakePackageConfigHelpers)
include(CheckFunctionExists)
include(CheckIncludeFile)

option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
option(BUILD_EXAMPLE "Build example application. Default OFF." OFF)
option(QTERMWIDGET_USE_UTEMPTER "Uses libutempter on Linux or libulog on FreeBSD for login records." OFF)
option(QTERMWIDGET_BUILD_PYTHON_BINDING "Build python binding" OFF)
option(USE_UTF8PROC "Use libutf8proc for better Unicode support. Default OFF" OFF)


# just change version for releases
set(QTERMWIDGET_VERSION_MAJOR "0")
set(QTERMWIDGET_VERSION_MINOR "16")
set(QTERMWIDGET_VERSION_PATCH "1")

set(QTERMWIDGET_VERSION "${QTERMWIDGET_VERSION_MAJOR}.${QTERMWIDGET_VERSION_MINOR}.${QTERMWIDGET_VERSION_PATCH}")

# additional cmake files
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${PROJECT_SOURCE_DIR}/cmake")
set(CMAKE_INCLUDE_CURRENT_DIR ON)

# Minimum Versions
set(QT_MINIMUM_VERSION "5.12.0")
set(LXQTBT_MINIMUM_VERSION "0.8.0")

find_package(Qt5Widgets "${QT_MINIMUM_VERSION}" REQUIRED)
find_package(Qt5LinguistTools "${QT_MINIMUM_VERSION}" REQUIRED)
find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)

if(USE_UTF8PROC)
    find_package(Utf8Proc REQUIRED)
endif()

include(LXQtPreventInSourceBuilds)
include(LXQtTranslateTs)
include(LXQtCompilerSettings NO_POLICY_SCOPE)
include(LXQtCreatePkgConfigFile)

if(APPLE)
    if(CMAKE_VERSION VERSION_GREATER 3.9)
        cmake_policy(SET CMP0068 NEW)
        set(CMAKE_BUILD_WITH_INSTALL_NAME_DIR ON)
    endif()
endif()

set(QTERMWIDGET_LIBRARY_NAME qtermwidget5)


# main library

set(SRCS
    lib/BlockArray.cpp
    lib/ColorScheme.cpp
    lib/Emulation.cpp
    lib/Filter.cpp
    lib/History.cpp
    lib/HistorySearch.cpp
    lib/KeyboardTranslator.cpp
    lib/konsole_wcwidth.cpp
    lib/kprocess.cpp
    lib/kpty.cpp
    lib/kptydevice.cpp
    lib/kptyprocess.cpp
    lib/Pty.cpp
    lib/qtermwidget.cpp
    lib/Screen.cpp
    lib/ScreenWindow.cpp
    lib/SearchBar.cpp
    lib/Session.cpp
    lib/ShellCommand.cpp
    lib/TerminalCharacterDecoder.cpp
    lib/TerminalDisplay.cpp
    lib/tools.cpp
    lib/Vt102Emulation.cpp
)

# Only the Headers that need to be moc'd go here
set(HDRS
    lib/Emulation.h
    lib/Filter.h
    lib/HistorySearch.h
    lib/kprocess.h
    lib/kptydevice.h
    lib/kptyprocess.h
    lib/Pty.h
    lib/qtermwidget.h
    lib/ScreenWindow.h
    lib/SearchBar.h
    lib/Session.h
    lib/TerminalDisplay.h
    lib/Vt102Emulation.h
)

set(UI
    lib/SearchBar.ui
)

# for distribution
set(HDRS_DISTRIB
    lib/qtermwidget.h
    lib/Emulation.h
    lib/KeyboardTranslator.h
    lib/Filter.h
)

# dirs
set(KB_LAYOUT_DIR "${CMAKE_INSTALL_FULL_DATADIR}/${QTERMWIDGET_LIBRARY_NAME}/kb-layouts")
message(STATUS "Keyboard layouts will be installed in: ${KB_LAYOUT_DIR}")

set(COLORSCHEMES_DIR "${CMAKE_INSTALL_FULL_DATADIR}/${QTERMWIDGET_LIBRARY_NAME}/color-schemes")
message(STATUS "Color schemes will be installed in: ${COLORSCHEMES_DIR}" )

set(TRANSLATIONS_DIR "${CMAKE_INSTALL_FULL_DATADIR}/${QTERMWIDGET_LIBRARY_NAME}/translations")
message(STATUS "Translations will be installed in: ${TRANSLATIONS_DIR}")

set(QTERMWIDGET_INCLUDE_DIR "${CMAKE_INSTALL_FULL_INCLUDEDIR}/${QTERMWIDGET_LIBRARY_NAME}")

CHECK_FUNCTION_EXISTS(updwtmpx HAVE_UPDWTMPX)

qt5_wrap_cpp(MOCS ${HDRS})
qt5_wrap_ui(UI_SRCS ${UI})
set(PKG_CONFIG_REQ "Qt5Widgets")

lxqt_translate_ts(QTERMWIDGET_QM
    TRANSLATION_DIR "lib/translations"
    UPDATE_TRANSLATIONS
        ${UPDATE_TRANSLATIONS}
    SOURCES
        ${SRCS} ${HDRS} ${UI}
    INSTALL_DIR
        ${TRANSLATIONS_DIR}
    COMPONENT
        Runtime
)

add_library(${QTERMWIDGET_LIBRARY_NAME} SHARED ${SRCS} ${MOCS} ${UI_SRCS} ${QTERMWIDGET_QM})
target_link_libraries(${QTERMWIDGET_LIBRARY_NAME} Qt5::Widgets)
set_target_properties( ${QTERMWIDGET_LIBRARY_NAME} PROPERTIES
                       SOVERSION ${QTERMWIDGET_VERSION_MAJOR}
                       VERSION ${QTERMWIDGET_VERSION}
                     )


if(APPLE)
    target_compile_definitions(${QTERMWIDGET_LIBRARY_NAME}
        PRIVATE
            "HAVE_UTMPX"
            "UTMPX_COMPAT"
    )
endif()

if(HAVE_UPDWTMPX)
    target_compile_definitions(${QTERMWIDGET_LIBRARY_NAME}
        PRIVATE
            "HAVE_UPDWTMPX"
    )
endif()

if (QTERMWIDGET_USE_UTEMPTER)
    CHECK_INCLUDE_FILE(utempter.h HAVE_UTEMPTER)
    if (HAVE_UTEMPTER)
        target_compile_definitions(${QTERMWIDGET_LIBRARY_NAME} PRIVATE
                "HAVE_UTEMPTER"
        )
        find_library(UTEMPTER_LIB NAMES utempter ulog REQUIRED)
        target_link_libraries(${QTERMWIDGET_LIBRARY_NAME} ${UTEMPTER_LIB})
    endif()
endif()

if (UTF8PROC_FOUND)
    target_compile_definitions(${QTERMWIDGET_LIBRARY_NAME}
        PRIVATE
            "HAVE_UTF8PROC"
    )
    target_include_directories(${QTERMWIDGET_LIBRARY_NAME}
        INTERFACE
            ${UTF8PROC_INCLUDE_DIRS}
    )
    target_link_libraries(${QTERMWIDGET_LIBRARY_NAME}
        ${UTF8PROC_LIBRARIES}
    )
    string(APPEND PKG_CONFIG_REQ ", libutf8proc")
endif()

if(APPLE)
    set (CMAKE_SKIP_RPATH 1)
    # this is a must to load the lib correctly
    set_target_properties(${QTERMWIDGET_LIBRARY_NAME} PROPERTIES INSTALL_NAME_DIR ${CMAKE_INSTALL_FULL_LIBDIR})
endif()

target_compile_definitions(${QTERMWIDGET_LIBRARY_NAME}
    PRIVATE
        "KB_LAYOUT_DIR=\"${KB_LAYOUT_DIR}\""
        "COLORSCHEMES_DIR=\"${COLORSCHEMES_DIR}\""
        "TRANSLATIONS_DIR=\"${TRANSLATIONS_DIR}\""
        "HAVE_POSIX_OPENPT"
        "HAVE_SYS_TIME_H"
)


generate_export_header(${QTERMWIDGET_LIBRARY_NAME}
    EXPORT_FILE_NAME "${CMAKE_CURRENT_BINARY_DIR}/lib/qtermwidget_export.h"
    BASE_NAME QTERMWIDGET
)

target_include_directories(${QTERMWIDGET_LIBRARY_NAME}
    PUBLIC
        "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/lib>"
        "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/lib>"
    INTERFACE
        "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>"
        "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/${QTERMWIDGET_LIBRARY_NAME}>"
)

write_basic_package_version_file(
    "${CMAKE_BINARY_DIR}/${QTERMWIDGET_LIBRARY_NAME}-config-version.cmake"
    VERSION ${QTERMWIDGET_VERSION}
    COMPATIBILITY AnyNewerVersion
)

install(FILES
    "${CMAKE_BINARY_DIR}/${QTERMWIDGET_LIBRARY_NAME}-config-version.cmake"
    DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/${QTERMWIDGET_LIBRARY_NAME}"
    COMPONENT Devel
)

install(EXPORT
    "${QTERMWIDGET_LIBRARY_NAME}-targets"
    DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/${QTERMWIDGET_LIBRARY_NAME}"
    COMPONENT Devel
)

install(FILES
    ${HDRS_DISTRIB} "${CMAKE_CURRENT_BINARY_DIR}/lib/qtermwidget_export.h" "${CMAKE_CURRENT_BINARY_DIR}/lib/qtermwidget_version.h"
    DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/${QTERMWIDGET_LIBRARY_NAME}"
    COMPONENT Devel
)
# keyboard layouts
install(DIRECTORY
    lib/kb-layouts/
    DESTINATION "${KB_LAYOUT_DIR}"
    COMPONENT Runtime
    FILES_MATCHING PATTERN "*.keytab"
)
# color schemes
install(DIRECTORY
    lib/color-schemes/
    DESTINATION "${COLORSCHEMES_DIR}"
    COMPONENT Runtime
    FILES_MATCHING PATTERN "*.*schem*"
)

lxqt_create_pkgconfig_file(
    PACKAGE_NAME ${QTERMWIDGET_LIBRARY_NAME}
    DESCRIPTIVE_NAME ${QTERMWIDGET_LIBRARY_NAME}
    DESCRIPTION "QTermWidget library for Qt ${QTERMWIDGET_VERSION_MAJOR}.x"
    INCLUDEDIRS ${QTERMWIDGET_LIBRARY_NAME}
    LIBS ${QTERMWIDGET_LIBRARY_NAME}
    REQUIRES ${PKG_CONFIG_REQ}
    VERSION ${QTERMWIDGET_VERSION}
    INSTALL
    COMPONENT Devel
)

configure_file(
    "${PROJECT_SOURCE_DIR}/cmake/${QTERMWIDGET_LIBRARY_NAME}-config.cmake.in"
    "${CMAKE_BINARY_DIR}/${QTERMWIDGET_LIBRARY_NAME}-config.cmake"
    @ONLY
)

configure_file(
    "${PROJECT_SOURCE_DIR}/lib/qtermwidget_version.h.in"
    "${CMAKE_BINARY_DIR}/lib/qtermwidget_version.h"
    @ONLY
)

install(FILES
    "${CMAKE_BINARY_DIR}/${QTERMWIDGET_LIBRARY_NAME}-config.cmake"
    DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/${QTERMWIDGET_LIBRARY_NAME}"
    COMPONENT Devel
)

install(TARGETS ${QTERMWIDGET_LIBRARY_NAME}
    DESTINATION "${CMAKE_INSTALL_LIBDIR}"
    EXPORT "${QTERMWIDGET_LIBRARY_NAME}-targets"
    LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}"
    PUBLIC_HEADER
    COMPONENT Runtime
)

export(TARGETS ${QTERMWIDGET_LIBRARY_NAME}
    FILE "${CMAKE_BINARY_DIR}/${QTERMWIDGET_LIBRARY_NAME}-targets.cmake"
    EXPORT_LINK_INTERFACE_LIBRARIES
)
# end of main library


# example application
if(BUILD_EXAMPLE)
    set(EXAMPLE_SRC example/main.cpp)
    add_executable(example ${EXAMPLE_SRC})
    target_link_libraries(example ${QTERMWIDGET_LIBRARY_NAME})
endif()
# end of example application

# python binding
if (QTERMWIDGET_BUILD_PYTHON_BINDING)
    add_subdirectory(pyqt)
endif()
# end of python binding


CONFIGURE_FILE(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY
)
ADD_CUSTOM_TARGET(uninstall
    "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
)

=== debian/changelog ===
qtermwidget (0.16.1-1) unstable; urgency=medium

  * Team upload.

  [ Sophie Brun ]
  * Update debian/upstream/signing-key.asc
  * New upstream version 0.16.1
  * Update minimal required version of lxqt-build-tools
  * Update debian/libqtermwidget5-0.symbols
  * Bump Standards-Version to 4.5.0 (no changes)

  [ Raphaël Hertzog ]
  * Update symbols file to use demangled names
  * Sort list of symbols

 -- Raphaël Hertzog <raphael@offensive-security.com>  Thu, 17 Dec 2020 11:54:22 +0100

=== debian/control ===
Source: qtermwidget
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 12),
               cmake,
               libutf8proc-dev,
               lxqt-build-tools (>= 0.8.0~),
               qtbase5-dev
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/lxqt-team/qtermwidget
Vcs-Git: https://salsa.debian.org/lxqt-team/qtermwidget.git
Homepage: https://github.com/lxqt/qtermwidget
Rules-Requires-Root: no

Package: libqtermwidget5-0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         qtermwidget5-data (= ${source:Version})
Recommends: fonts-hack
Pre-Depends: ${misc:Pre-Depends}
Description: Terminal emulator widget for Qt 5 (shared libraries)
 QTermWidget is a Unicode-enabled, embeddable Qt widget that can be used as
 built-in console or terminal emulation widget.
 .
 This package provides the shared libraries.

Package: libqtermwidget5-0-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         libqtermwidget5-0 (= ${binary:Version})
Description: Terminal emulator widget for Qt 5 (development files)
 QTermWidget is a Unicode-enabled, embeddable Qt widget that can be used as
 built-in console or terminal emulation widget.
 .
 This package provides the development files.

Package: qtermwidget5-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Terminal emulator widget for Qt 5 (data files)
 QTermWidget is a Unicode-enabled, embeddable Qt widget that can be used as
 built-in console or terminal emulation widget.
 .
 This package provides data files like translations, keyboard layouts
 and color schemes.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem cmake

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_configure:
	dh_auto_configure -- \
		-DUPDATE_TRANSLATIONS=OFF \
		-DBUILD_EXAMPLE=OFF \
		-DQTERMWIDGET_USE_UTEMPTER=OFF \
		-DQTERMWIDGET_BUILD_PYTHON_BINDING=OFF \
		-DUSE_UTF8PROC=ON \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

## qtermwidget 0.17.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,8 +21,8 @@
 
 # just change version for releases
 set(QTERMWIDGET_VERSION_MAJOR "0")
-set(QTERMWIDGET_VERSION_MINOR "16")
-set(QTERMWIDGET_VERSION_PATCH "1")
+set(QTERMWIDGET_VERSION_MINOR "17")
+set(QTERMWIDGET_VERSION_PATCH "0")
 
 set(QTERMWIDGET_VERSION "${QTERMWIDGET_VERSION_MAJOR}.${QTERMWIDGET_VERSION_MINOR}.${QTERMWIDGET_VERSION_PATCH}")
 
@@ -32,7 +32,7 @@
 
 # Minimum Versions
 set(QT_MINIMUM_VERSION "5.12.0")
-set(LXQTBT_MINIMUM_VERSION "0.8.0")
+set(LXQTBT_MINIMUM_VERSION "0.9.0")
 
 find_package(Qt5Widgets "${QT_MINIMUM_VERSION}" REQUIRED)
 find_package(Qt5LinguistTools "${QT_MINIMUM_VERSION}" REQUIRED)
@@ -308,7 +308,7 @@
 
 # example application
 if(BUILD_EXAMPLE)
-    set(EXAMPLE_SRC example/main.cpp)
+    set(EXAMPLE_SRC examples/cpp/main.cpp)
     add_executable(example ${EXAMPLE_SRC})
     target_link_libraries(example ${QTERMWIDGET_LIBRARY_NAME})
 endif()

=== debian/changelog ===
qtermwidget (0.17.0-0ubuntu1) impish; urgency=medium

  * New upstream release 0.17.0
  * Update debian control
    - Use lxqt-build-tools 0.9.0
  * Update symbols
  * Update debian/copyright

 -- apt-ghetto <apt-ghetto@protonmail.com>  Mon, 16 Aug 2021 15:49:23 +0200

qtermwidget (0.16.1-1ubuntu1) hirsute; urgency=medium

  * New upstream version.
  * debhelper-compat requirement bumped to 13.

 -- Raman Sarda <theloudspeaker@disroot.org>  Sun, 21 Feb 2021 20:33:55 +0530

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: qtermwidget
-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               cmake,
+Build-Depends: cmake,
+               debhelper-compat (= 13),
                libutf8proc-dev,
-               lxqt-build-tools (>= 0.8.0~),
+               lxqt-build-tools (>= 0.9.0),
                qtbase5-dev
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/lxqt-team/qtermwidget
@@ -19,9 +20,9 @@
 Package: libqtermwidget5-0
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends},
+Depends: qtermwidget5-data (= ${source:Version}),
          ${misc:Depends},
-         qtermwidget5-data (= ${source:Version})
+         ${shlibs:Depends}
 Recommends: fonts-hack
 Pre-Depends: ${misc:Pre-Depends}
 Description: Terminal emulator widget for Qt 5 (shared libraries)
@@ -34,8 +35,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends},
-         libqtermwidget5-0 (= ${binary:Version})
+Depends: libqtermwidget5-0 (= ${binary:Version}), ${misc:Depends}
 Description: Terminal emulator widget for Qt 5 (development files)
  QTermWidget is a Unicode-enabled, embeddable Qt widget that can be used as
  built-in console or terminal emulation widget.
@@ -46,6 +46,8 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
+Breaks: qtermwidget-l10n
+Replaces: qtermwidget-l10n
 Description: Terminal emulator widget for Qt 5 (data files)
  QTermWidget is a Unicode-enabled, embeddable Qt widget that can be used as
  built-in console or terminal emulation widget.

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://github.com/lxqt/qtermwidget/releases .*/qtermwidget-([\d\.]+).tar.xz

## qtermwidget 1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,8 +20,9 @@
 
 
 # just change version for releases
-set(QTERMWIDGET_VERSION_MAJOR "0")
-set(QTERMWIDGET_VERSION_MINOR "17")
+# keep this in sync with the version in pyqt/pyproject.toml
+set(QTERMWIDGET_VERSION_MAJOR "1")
+set(QTERMWIDGET_VERSION_MINOR "1")
 set(QTERMWIDGET_VERSION_PATCH "0")
 
 set(QTERMWIDGET_VERSION "${QTERMWIDGET_VERSION_MAJOR}.${QTERMWIDGET_VERSION_MINOR}.${QTERMWIDGET_VERSION_PATCH}")
@@ -31,8 +32,8 @@
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
 # Minimum Versions
-set(QT_MINIMUM_VERSION "5.12.0")
-set(LXQTBT_MINIMUM_VERSION "0.9.0")
+set(QT_MINIMUM_VERSION "5.15.0")
+set(LXQTBT_MINIMUM_VERSION "0.11.0")
 
 find_package(Qt5Widgets "${QT_MINIMUM_VERSION}" REQUIRED)
 find_package(Qt5LinguistTools "${QT_MINIMUM_VERSION}" REQUIRED)
@@ -316,7 +317,7 @@
 
 # python binding
 if (QTERMWIDGET_BUILD_PYTHON_BINDING)
-    add_subdirectory(pyqt)
+    message(SEND_ERROR "QTERMWIDGET_BUILD_PYTHON_BINDING is no longer supported. Check README.md for how to build PyQt bindings.")
 endif()
 # end of python binding

=== debian/changelog ===
qtermwidget (1.1.0-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 02 Sep 2022 14:20:10 -0700

qtermwidget (1.1.0-1) experimental; urgency=medium

  * New upstream release 1.1.0.
  * Removed obsolete debian/compat file.
  * Switched to GBP.
  * Upstreamed non-Ubuntu-specific packaging changes from Ubuntu, modifying
    the following files:
    - control
    - copyright
    - *.install
    - libqtermwidget5-0.symbols
    - rules
    - upstream/*
    - patches directory

 -- Aaron Rainbolt <arraybolt3@gmail.com>  Sun, 10 Jul 2022 05:32:17 -0500

=== debian/control ===
Source: qtermwidget
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Aaron Rainbolt <arraybolt3@gmail.com>
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               libutf8proc-dev,
               lxqt-build-tools (>= 0.11.0),
               qtbase5-dev
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/lxqt-team/qtermwidget
Vcs-Git: https://salsa.debian.org/lxqt-team/qtermwidget.git
Homepage: https://github.com/lxqt/qtermwidget
Rules-Requires-Root: no

Package: libqtermwidget5-1
Architecture: any
Multi-Arch: same
Depends: qtermwidget5-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: fonts-hack
Pre-Depends: ${misc:Pre-Depends}
Breaks: libqtermwidget5-0 (<< 0.99.0)
Replaces: libqtermwidget5-0 (<< 0.99.0)
Description: Terminal emulator widget for Qt 5 (shared libraries)
 QTermWidget is a Unicode-enabled, embeddable Qt widget that can be used as
 built-in console or terminal emulation widget.
 .
 This package provides the shared libraries.

Package: libqtermwidget5-1-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqtermwidget5-1 (= ${binary:Version}), ${misc:Depends}
Breaks: libqtermwidget5-0-dev (<< 0.99.0)
Replaces: libqtermwidget5-0-dev (<< 0.99.0)
Description: Terminal emulator widget for Qt 5 (development files)
 QTermWidget is a Unicode-enabled, embeddable Qt widget that can be used as
 built-in console or terminal emulation widget.
 .
 This package provides the development files.

Package: qtermwidget5-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Terminal emulator widget for Qt 5 (data files)
 QTermWidget is a Unicode-enabled, embeddable Qt widget that can be used as
 built-in console or terminal emulation widget.
 .
 This package provides data files like translations, keyboard layouts
 and color schemes.

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 # export DH_VERBOSE=1
 
 export LC_ALL=C.UTF-8
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
@@ -19,3 +18,7 @@
 		-DQTERMWIDGET_BUILD_PYTHON_BINDING=OFF \
 		-DUSE_UTF8PROC=ON \
 		-DCMAKE_BUILD_TYPE=RelWithDebInfo
+
+# No dbgsym package:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## qtermwidget 1.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,7 +22,7 @@
 # just change version for releases
 # keep this in sync with the version in pyqt/pyproject.toml
 set(QTERMWIDGET_VERSION_MAJOR "1")
-set(QTERMWIDGET_VERSION_MINOR "1")
+set(QTERMWIDGET_VERSION_MINOR "2")
 set(QTERMWIDGET_VERSION_PATCH "0")
 
 set(QTERMWIDGET_VERSION "${QTERMWIDGET_VERSION_MAJOR}.${QTERMWIDGET_VERSION_MINOR}.${QTERMWIDGET_VERSION_PATCH}")
@@ -33,7 +33,7 @@
 
 # Minimum Versions
 set(QT_MINIMUM_VERSION "5.15.0")
-set(LXQTBT_MINIMUM_VERSION "0.11.0")
+set(LXQTBT_MINIMUM_VERSION "0.12.0")
 
 find_package(Qt5Widgets "${QT_MINIMUM_VERSION}" REQUIRED)
 find_package(Qt5LinguistTools "${QT_MINIMUM_VERSION}" REQUIRED)
@@ -113,6 +113,7 @@
     lib/Emulation.h
     lib/KeyboardTranslator.h
     lib/Filter.h
+    lib/qtermwidget_interface.h
 )
 
 # dirs

=== debian/changelog ===
qtermwidget (1.2.0-2) unstable; urgency=medium

  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 02 Dec 2022 11:22:41 +0800

qtermwidget (1.2.0-1) experimental; urgency=medium

  [ Andrew Lee (李健秋) ]
  * Add debian/salsa-ci.yml file.

  [ Severus Septimius ]
  * Delete useless symbols and install files
  * Bump to libqtermwidget5-1 to match soname changes
  * Update debian/changelog
  * Update Build-Depends
  * Bump Standards to 4.6.0 (no changes)

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Fix field name typo in debian/upstream/metadata (Repository-Browser => Repository-Browse).
  * Remove obsolete field Name from debian/upstream/metadata (already present in machine-readable debian/copyright).
  * Update standards version to 4.6.1, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ ChangZhuo Chen (陳昌倬) ]
  * New upstream release.
  * Fix d/watch for GitHub.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 23 Nov 2022 02:16:15 +0800

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: qtermwidget
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>,
@@ -10,7 +9,7 @@
 Build-Depends: cmake,
                debhelper-compat (= 13),
                libutf8proc-dev,
-               lxqt-build-tools (>= 0.11.0),
+               lxqt-build-tools (>= 0.12.0~),
                qtbase5-dev
 Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/lxqt-team/qtermwidget
@@ -38,9 +37,9 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libqtermwidget5-1 (= ${binary:Version}), ${misc:Depends}
-Breaks: libqtermwidget5-0-dev (<< 0.99.0)
-Replaces: libqtermwidget5-0-dev (<< 0.99.0)
+Depends: ${misc:Depends},
+         libqtermwidget5-1 (= ${binary:Version})
+Replaces: libqtermwidget5-0-dev
 Description: Terminal emulator widget for Qt 5 (development files)
  QTermWidget is a Unicode-enabled, embeddable Qt widget that can be used as
  built-in console or terminal emulation widget.

## qtermwidget 1.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,7 +22,7 @@
 # just change version for releases
 # keep this in sync with the version in pyqt/pyproject.toml
 set(QTERMWIDGET_VERSION_MAJOR "1")
-set(QTERMWIDGET_VERSION_MINOR "2")
+set(QTERMWIDGET_VERSION_MINOR "3")
 set(QTERMWIDGET_VERSION_PATCH "0")
 
 set(QTERMWIDGET_VERSION "${QTERMWIDGET_VERSION_MAJOR}.${QTERMWIDGET_VERSION_MINOR}.${QTERMWIDGET_VERSION_PATCH}")
@@ -33,7 +33,7 @@
 
 # Minimum Versions
 set(QT_MINIMUM_VERSION "5.15.0")
-set(LXQTBT_MINIMUM_VERSION "0.12.0")
+set(LXQTBT_MINIMUM_VERSION "0.13.0")
 
 find_package(Qt5Widgets "${QT_MINIMUM_VERSION}" REQUIRED)
 find_package(Qt5LinguistTools "${QT_MINIMUM_VERSION}" REQUIRED)

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: qtermwidget
-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>,
@@ -9,7 +10,7 @@
 Build-Depends: cmake,
                debhelper-compat (= 13),
                libutf8proc-dev,
-               lxqt-build-tools (>= 0.12.0~),
+               lxqt-build-tools (>= 0.13.0~),
                qtbase5-dev
 Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/lxqt-team/qtermwidget
@@ -37,8 +38,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends},
-         libqtermwidget5-1 (= ${binary:Version})
+Depends: libqtermwidget5-1 (= ${binary:Version}), ${misc:Depends}
 Replaces: libqtermwidget5-0-dev
 Description: Terminal emulator widget for Qt 5 (development files)
  QTermWidget is a Unicode-enabled, embeddable Qt widget that can be used as

=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,6 @@
 		-DUSE_UTF8PROC=ON \
 		-DCMAKE_BUILD_TYPE=RelWithDebInfo
 
-# No dbgsym package:
+# No dbgsym packages:
 override_dh_strip:
 	dh_strip --no-automatic-dbgsym

## qtermwidget 1.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,7 +22,7 @@
 # just change version for releases
 # keep this in sync with the version in pyqt/pyproject.toml
 set(QTERMWIDGET_VERSION_MAJOR "1")
-set(QTERMWIDGET_VERSION_MINOR "3")
+set(QTERMWIDGET_VERSION_MINOR "4")
 set(QTERMWIDGET_VERSION_PATCH "0")
 
 set(QTERMWIDGET_VERSION "${QTERMWIDGET_VERSION_MAJOR}.${QTERMWIDGET_VERSION_MINOR}.${QTERMWIDGET_VERSION_PATCH}")

=== debian/changelog ===
qtermwidget (1.4.0-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:17:57 +0000

qtermwidget (1.4.0-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:49:59 +0000

qtermwidget (1.4.0-0ubuntu1) noble; urgency=medium

  * New upstream release.
  * Update copyright.
  * Update symbols from amd64 build logs.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 12 Nov 2023 17:18:08 -0600

qtermwidget (1.3.0-0ubuntu1) mantic; urgency=medium

  * New upstream release.
  * Bump build dependencies.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 03 Aug 2023 10:43:51 -0500

qtermwidget (1.2.0-0ubuntu2) lunar; urgency=medium

  * Bumped Standards-Version to 4.6.2, no changes necessary.
  * Overhauled copyright file.
  * Removed trailing whitespace from changelog.
  * Ran wrap-and-sort.
  * Created debian/qtermwidget5-data.examples to install example files,
    satisfying a Lintian gripe.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Sat, 11 Feb 2023 19:40:36 -0600

qtermwidget (1.2.0-0ubuntu1) lunar; urgency=medium

  * New upstream release.
  * Fix the watch file, for real this time.
  * Lubuntuify the package slightly, to make debhelper happy.
  * Bump build dependencies in debian/control.
  * Remove reverse-applicable upstream patches.
  * Update symbols from amd64 build logs.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 17 Nov 2022 16:59:40 -0600

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: qtermwidget
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
@@ -10,11 +10,13 @@
 Build-Depends: cmake,
                debhelper-compat (= 13),
                libutf8proc-dev,
-               lxqt-build-tools (>= 0.13.0~),
+               lxqt-build-tools (>= 0.13.0),
                qtbase5-dev
-Standards-Version: 4.6.1
-Vcs-Browser: https://salsa.debian.org/lxqt-team/qtermwidget
-Vcs-Git: https://salsa.debian.org/lxqt-team/qtermwidget.git
+Standards-Version: 4.6.2
+Vcs-Browser: https://git.lubuntu.me/Lubuntu/qtermwidget-packaging
+Vcs-Git: https://git.lubuntu.me/Lubuntu/qtermwidget-packaging.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/qtermwidget
+XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/qtermwidget.git
 Homepage: https://github.com/lxqt/qtermwidget
 Rules-Requires-Root: no
 
@@ -39,7 +41,8 @@
 Multi-Arch: same
 Section: libdevel
 Depends: libqtermwidget5-1 (= ${binary:Version}), ${misc:Depends}
-Replaces: libqtermwidget5-0-dev
+Breaks: libqtermwidget5-0-dev (<< 0.99.0)
+Replaces: libqtermwidget5-0-dev (<< 0.99.0)
 Description: Terminal emulator widget for Qt 5 (development files)
  QTermWidget is a Unicode-enabled, embeddable Qt widget that can be used as
  built-in console or terminal emulation widget.

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,3 @@
 		-DQTERMWIDGET_BUILD_PYTHON_BINDING=OFF \
 		-DUSE_UTF8PROC=ON \
 		-DCMAKE_BUILD_TYPE=RelWithDebInfo
-
-# No dbgsym packages:
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

## qtermwidget 2.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.18.0 FATAL_ERROR)
 # CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
 # CMakeLists.txt file even before calling the project() command.
 # The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
@@ -21,9 +21,9 @@
 
 # just change version for releases
 # keep this in sync with the version in pyqt/pyproject.toml
-set(QTERMWIDGET_VERSION_MAJOR "1")
-set(QTERMWIDGET_VERSION_MINOR "4")
-set(QTERMWIDGET_VERSION_PATCH "0")
+set(QTERMWIDGET_VERSION_MAJOR "2")
+set(QTERMWIDGET_VERSION_MINOR "0")
+set(QTERMWIDGET_VERSION_PATCH "1")
 
 set(QTERMWIDGET_VERSION "${QTERMWIDGET_VERSION_MAJOR}.${QTERMWIDGET_VERSION_MINOR}.${QTERMWIDGET_VERSION_PATCH}")
 
@@ -32,12 +32,12 @@
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
 # Minimum Versions
-set(QT_MINIMUM_VERSION "5.15.0")
-set(LXQTBT_MINIMUM_VERSION "0.13.0")
-
-find_package(Qt5Widgets "${QT_MINIMUM_VERSION}" REQUIRED)
-find_package(Qt5LinguistTools "${QT_MINIMUM_VERSION}" REQUIRED)
-find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
+set(QT_MINIMUM_VERSION "6.6.0")
+set(LXQTBT_MINIMUM_VERSION "2.0.0")
+
+find_package(Qt6Widgets "${QT_MINIMUM_VERSION}" REQUIRED)
+find_package(Qt6LinguistTools "${QT_MINIMUM_VERSION}" REQUIRED)
+find_package(lxqt2-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
 
 if(USE_UTF8PROC)
     find_package(Utf8Proc REQUIRED)
@@ -55,7 +55,7 @@
     endif()
 endif()
 
-set(QTERMWIDGET_LIBRARY_NAME qtermwidget5)
+set(QTERMWIDGET_LIBRARY_NAME qtermwidget6)
 
 
 # main library
@@ -130,9 +130,9 @@
 
 CHECK_FUNCTION_EXISTS(updwtmpx HAVE_UPDWTMPX)
 
-qt5_wrap_cpp(MOCS ${HDRS})
-qt5_wrap_ui(UI_SRCS ${UI})
-set(PKG_CONFIG_REQ "Qt5Widgets")
+qt6_wrap_cpp(MOCS ${HDRS})
+qt6_wrap_ui(UI_SRCS ${UI})
+set(PKG_CONFIG_REQ "Qt6Widgets")
 
 lxqt_translate_ts(QTERMWIDGET_QM
     TRANSLATION_DIR "lib/translations"
@@ -147,7 +147,7 @@
 )
 
 add_library(${QTERMWIDGET_LIBRARY_NAME} SHARED ${SRCS} ${MOCS} ${UI_SRCS} ${QTERMWIDGET_QM})
-target_link_libraries(${QTERMWIDGET_LIBRARY_NAME} Qt5::Widgets)
+target_link_libraries(${QTERMWIDGET_LIBRARY_NAME} Qt6::Widgets)
 set_target_properties( ${QTERMWIDGET_LIBRARY_NAME} PROPERTIES
                        SOVERSION ${QTERMWIDGET_VERSION_MAJOR}
                        VERSION ${QTERMWIDGET_VERSION}

=== debian/changelog ===
qtermwidget (2.0.1-0ubuntu1) oracular; urgency=medium

  * New upstream release.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 15 Aug 2024 16:24:10 -0500

qtermwidget (2.0.0-0ubuntu1~ppa2) oracular; urgency=medium

  * New upstream release.
  * Update copyright file.
  * Bump Standards-Version to 4.7.0, no changes necessary.
  * Rename binaries, bump sonames.
  * Bump build dependencies.
  * Update symbols file.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Wed, 19 Jun 2024 14:29:19 -0500

=== debian/control ===
Source: qtermwidget
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Aaron Rainbolt <arraybolt3@gmail.com>
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               libutf8proc-dev,
               lxqt-build-tools (>= 2.0.0),
               qt6-base-dev
Standards-Version: 4.7.0
Vcs-Browser: https://git.lubuntu.me/Lubuntu/qtermwidget-packaging
Vcs-Git: https://git.lubuntu.me/Lubuntu/qtermwidget-packaging.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/qtermwidget
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/qtermwidget.git
Homepage: https://github.com/lxqt/qtermwidget
Rules-Requires-Root: no

Package: libqtermwidget6-2
Architecture: any
Multi-Arch: same
Depends: qtermwidget6-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: fonts-hack
Pre-Depends: ${misc:Pre-Depends}
Breaks: libqtermwidget5-0 (<< 0.99.0)
Replaces: libqtermwidget5-0 (<< 0.99.0)
Description: Terminal emulator widget for Qt 6 (shared libraries)
 QTermWidget is a Unicode-enabled, embeddable Qt widget that can be used as
 built-in console or terminal emulation widget.
 .
 This package provides the shared libraries.

Package: libqtermwidget6-2-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqtermwidget6-2 (= ${binary:Version}), ${misc:Depends}
Breaks: libqtermwidget5-0-dev (<< 0.99.0)
Replaces: libqtermwidget5-0-dev (<< 0.99.0)
Description: Terminal emulator widget for Qt 6 (development files)
 QTermWidget is a Unicode-enabled, embeddable Qt widget that can be used as
 built-in console or terminal emulation widget.
 .
 This package provides the development files.

Package: qtermwidget6-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Terminal emulator widget for Qt 6 (data files)
 QTermWidget is a Unicode-enabled, embeddable Qt widget that can be used as
 built-in console or terminal emulation widget.
 .
 This package provides data files like translations, keyboard layouts
 and color schemes.

## qtermwidget 2.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,8 +22,8 @@
 # just change version for releases
 # keep this in sync with the version in pyqt/pyproject.toml
 set(QTERMWIDGET_VERSION_MAJOR "2")
-set(QTERMWIDGET_VERSION_MINOR "0")
-set(QTERMWIDGET_VERSION_PATCH "1")
+set(QTERMWIDGET_VERSION_MINOR "1")
+set(QTERMWIDGET_VERSION_PATCH "0")
 
 set(QTERMWIDGET_VERSION "${QTERMWIDGET_VERSION_MAJOR}.${QTERMWIDGET_VERSION_MINOR}.${QTERMWIDGET_VERSION_PATCH}")
 
@@ -33,7 +33,7 @@
 
 # Minimum Versions
 set(QT_MINIMUM_VERSION "6.6.0")
-set(LXQTBT_MINIMUM_VERSION "2.0.0")
+set(LXQTBT_MINIMUM_VERSION "2.1.0")
 
 find_package(Qt6Widgets "${QT_MINIMUM_VERSION}" REQUIRED)
 find_package(Qt6LinguistTools "${QT_MINIMUM_VERSION}" REQUIRED)

=== lib/translations/CMakeLists.txt ===
project(qtermwidget)

build_component("." "${CMAKE_INSTALL_FULL_DATADIR}/qtermwidget/translations")

=== debian/changelog ===
qtermwidget (2.1.0-1deepin1) unstable; urgency=medium

  *Conflicts: libqtermwidget6-data
  *Replaces: libqtermwidget6-data

 -- xiangzelong <xiangzelong@deepin.org>  Mon, 07 Jul 2025 17:17:34 +0800

qtermwidget (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0.
  * debian/control: build-deps on lxqt-build-tools (>= 2.1.0~).

 -- Macy Lin <macy@debconf.org>  Sat, 07 Dec 2024 11:38:07 +0100

qtermwidget (2.0.1-1) unstable; urgency=medium

  * Upload to unstable.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 27 Nov 2024 18:58:00 +0100

qtermwidget (2.0.1-1~exp1) experimental; urgency=medium

  [ Severus Septimius ]
  * New upstream release 2.0.1
  * debian/control: bump dep on lxqt-build-tools (>= 2.0.0+really2.0.0~)
  * debian/control: bump dep on qtbase5-dev -> qt6-base-dev
  * debian/control: rename libqtermwidget5-1-dev to libqtermwidget-dev
  * debian/control: drop Qt version from package name (qtermwidget-data)
  * debian/control: bump soversion in package names
  * debian/control: bump Qt version in package descriptions
  * debian/control: bump soversion in .install files' names
  * debian/libqtermwidget-dev.install: bump soversion
  * debian/libqtermwidget6-2.install: bump soversion
  * debian/libqtermwidget-data.install: bump soversion
  * Update urlregexp.patch
  * debian/control: bump dep on qttools5-dev -> qt6-tools-dev

  [ Andrew Lee (李健秋) ]
  * Clean up of group membership after 2nd calls.
  * debian/control: Added conflicts and replaces that exist in previs
    stable release.
  * debian/salsa-ci.yml: build against to experimental.
  * debian/copyright: update.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 22 Sep 2024 15:16:23 +0200

qtermwidget (1.4.0-2) unstable; urgency=medium

  * debian/control: build-deps on qttools5-dev. (Closes:#1078313)
  * debian/control: bump to Standards-version to 4.7.0, no changes needed.
  * debian/copyright: added myself.

 -- Macy Lin <macy@debconf.org>  Mon, 09 Sep 2024 21:48:14 +0800

qtermwidget (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0
  * debian/control: drop replaces and breaks that not exist in previous
    stable release.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Mon, 11 Dec 2023 17:20:13 +0100

qtermwidget (1.3.0-2) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * docs(soversion): fix comment.

  [ Andrew Lee (李健秋) ]
  * debian/control: update team address.
  * Added urlregexp.patch: by Joachim H. Kaiser <jhkaiser@web.de>.
    (Closes: #985461)
  * debian/copyright: remove source files that has been dropped in
    upstream.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 06 Sep 2023 16:16:50 +0200

qtermwidget (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0
  * debian/control: bump to Standards-version to 4.6.2, no changes needed.
  * debian/control: build-deps on lxqt-build-tools (>= 0.13.0~).
  * debian/copyright: update.
  * debian/rules: Drop --fail-missing argument to dh_missing which is now
    default in debhelper 13.
  * debian/upstream/metadata: drop obsolete field Name.
  * debian/upstream/metadata: correct the git Repository url as itʼs
    different from Repository-Browse.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 05 Aug 2023 06:10:02 +0200

=== debian/control ===
Source: qtermwidget
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               libutf8proc-dev,
               lxqt-build-tools (>= 2.1.0~),
               qt6-base-dev,
               qt6-tools-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/qtermwidget
Vcs-Git: https://salsa.debian.org/lxqt-team/qtermwidget.git
Homepage: https://github.com/lxqt/qtermwidget
Rules-Requires-Root: no

Package: libqtermwidget6-2
Architecture: any
Multi-Arch: same
Depends: qtermwidget-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: fonts-hack
Pre-Depends: ${misc:Pre-Depends}
Description: Terminal emulator widget for Qt 6 (shared libraries)
 QTermWidget is a Unicode-enabled, embeddable Qt widget that can be used as
 built-in console or terminal emulation widget.
 .
 This package provides the shared libraries.

Package: libqtermwidget-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         libqtermwidget6-2 (= ${binary:Version})
Description: Terminal emulator widget for Qt 6 (development files)
 QTermWidget is a Unicode-enabled, embeddable Qt widget that can be used as
 built-in console or terminal emulation widget.
 .
 This package provides the development files.

Package: qtermwidget-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Conflicts: qtermwidget5-data, qtermwidget6-data
Replaces: qtermwidget5-data, qtermwidget6-data
Description: Terminal emulator widget for Qt 6 (data files)
 QTermWidget is a Unicode-enabled, embeddable Qt widget that can be used as
 built-in console or terminal emulation widget.
 .
 This package provides data files like translations, keyboard layouts
 and color schemes.

## qtermwidget 2.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,7 +22,7 @@
 # just change version for releases
 # keep this in sync with the version in pyqt/pyproject.toml
 set(QTERMWIDGET_VERSION_MAJOR "2")
-set(QTERMWIDGET_VERSION_MINOR "1")
+set(QTERMWIDGET_VERSION_MINOR "2")
 set(QTERMWIDGET_VERSION_PATCH "0")
 
 set(QTERMWIDGET_VERSION "${QTERMWIDGET_VERSION_MAJOR}.${QTERMWIDGET_VERSION_MINOR}.${QTERMWIDGET_VERSION_PATCH}")
@@ -33,7 +33,7 @@
 
 # Minimum Versions
 set(QT_MINIMUM_VERSION "6.6.0")
-set(LXQTBT_MINIMUM_VERSION "2.1.0")
+set(LXQTBT_MINIMUM_VERSION "2.2.0")
 
 find_package(Qt6Widgets "${QT_MINIMUM_VERSION}" REQUIRED)
 find_package(Qt6LinguistTools "${QT_MINIMUM_VERSION}" REQUIRED)

=== debian/changelog ===
qtermwidget (2.2.0-1) unstable; urgency=medium

  [ Macy Lin ]
  * New upstream version 2.2.0
  * debian/copyright: update.
  * debian/control: build-deps on lxqt-build-tools (>= 2.2.0~).
  * debian/control: bump to Standards-version to 4.7.2.
  * debian/copyright: update GNU address.

  [ ChangZhuo Chen (陳昌倬) ]
  * Add Macy as Uploaders.
  * d/examples: Add examples.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 15 Aug 2025 09:47:38 +0800

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,16 @@
 Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>,
+           Macy Lin <macy@debconf.org>,
 Section: libs
 Priority: optional
 Build-Depends: cmake,
                debhelper-compat (= 13),
                libutf8proc-dev,
-               lxqt-build-tools (>= 2.1.0~),
+               lxqt-build-tools (>= 2.2.0~),
                qt6-base-dev,
                qt6-tools-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/lxqt-team/qtermwidget
 Vcs-Git: https://salsa.debian.org/lxqt-team/qtermwidget.git
 Homepage: https://github.com/lxqt/qtermwidget
@@ -46,8 +47,8 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Conflicts: qtermwidget5-data, qtermwidget6-data
-Replaces: qtermwidget5-data, qtermwidget6-data
+Conflicts: qtermwidget5-data
+Replaces: qtermwidget5-data
 Description: Terminal emulator widget for Qt 6 (data files)
  QTermWidget is a Unicode-enabled, embeddable Qt widget that can be used as
  built-in console or terminal emulation widget.

=== debian/rules ===
--- 
+++ 
@@ -7,9 +7,6 @@
 %:
 	dh ${@} --buildsystem cmake
 
-override_dh_missing:
-	dh_missing --fail-missing
-
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-DUPDATE_TRANSLATIONS=OFF \

## qtermwidget 2.3.0

=== debian/changelog ===
qtermwidget (2.3.0-1) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * d/watch: Upgrade to version 5.

  [ Andrew Lee (李健秋) ]
  * New upstream version 2.3.0.
  * debian/control: build-deps on lxqt-build-tools (>= 2.3.0~).
  * debian/control: Drop Rules-Requires-Root: no (now the default).
  * debian/copyright: update.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Mon, 24 Nov 2025 06:29:08 +0100

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,13 @@
 Build-Depends: cmake,
                debhelper-compat (= 13),
                libutf8proc-dev,
-               lxqt-build-tools (>= 2.2.0~),
+               lxqt-build-tools (>= 2.3.0~),
                qt6-base-dev,
                qt6-tools-dev
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/lxqt-team/qtermwidget
 Vcs-Git: https://salsa.debian.org/lxqt-team/qtermwidget.git
 Homepage: https://github.com/lxqt/qtermwidget
-Rules-Requires-Root: no
 
 Package: libqtermwidget6-2
 Architecture: any
